#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: storablevector
version: 0.2.13
id: storablevector-0.2.13-CDcO8sIPbil4Fpi6LRY9LA
key: storablevector-0.2.13-CDcO8sIPbil4Fpi6LRY9LA
license: BSD3
maintainer: Henning Thielemann <storablevector@henning-thielemann.de>
stability: Experimental
homepage: http://www.haskell.org/haskellwiki/Storable_Vector
synopsis: Fast, packed, strict storable arrays with a list interface like ByteString
description:
    Fast, packed, strict storable arrays
    with a list interface,
    a chunky lazy list interface with variable chunk size
    and an interface for write access via the @ST@ monad.
    This is much like @bytestring@ and @binary@
    but can be used for every '\''Foreign.Storable.Storable'\'' type.
    See also package
    <http://hackage.haskell.org/package/vector>
    with a similar intention.
    .
    We do not provide advanced fusion optimization,
    since especially for lazy vectors
    this would either be incorrect or not applicable.
    However we provide fusion with lazy lists in the package
    <http://hackage.haskell.org/package/storablevector-streamfusion>.
category: Data
author: Spencer Janssen <sjanssen@cse.unl.edu>, Henning Thielemann <storablevector@henning-thielemann.de>
exposed: True
indefinite: False
exposed-modules:
    Data.StorableVector Data.StorableVector.Base
    Data.StorableVector.Lazy Data.StorableVector.Lazy.Builder
    Data.StorableVector.Lazy.Pattern Data.StorableVector.Lazy.Pointer
    Data.StorableVector.Lazy.Typed Data.StorableVector.Pointer
    Data.StorableVector.ST.Lazy Data.StorableVector.ST.Strict
hidden-modules: Data.StorableVector.Memory
                Data.StorableVector.ST.Private
                Data.StorableVector.Lazy.PointerPrivate
                Data.StorableVector.Lazy.PointerPrivateIndex
                Data.StorableVector.Cursor
abi: 367352a74d76b99ddb54b873871e271f
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/storablevector-0.2.13
library-dirs: /usr/lib/ghc-8.2.2/site-local/storablevector-0.2.13
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/storablevector-0.2.13
hs-libraries: HSstorablevector-0.2.13-CDcO8sIPbil4Fpi6LRY9LA
depends:
    non-negative-0.1.2-EnVMs9CRf2v55eMNLW3DNx
    utility-ht-0.0.14-1SDJ0BtW7GoAaRrxZT3hIq transformers-0.5.2.0
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q deepseq-1.4.3.0
    unsafe-0.0-BIrI9nXOqv1FDJhoFAi4jR
    QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9 base-4.10.1.0
    syb-0.7-3Lq8MQxmYP07qktjI1jxu0
abi-depends: non-negative-0.1.2-EnVMs9CRf2v55eMNLW3DNx=2b4d79defb5e39ffab43604c0a701711
             utility-ht-0.0.14-1SDJ0BtW7GoAaRrxZT3hIq=582deb2a167d778361af1ed834bf29ef
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=c739600aa012ae17eb506df1a043419b
             deepseq-1.4.3.0=38379f7f81eed7fe046dd2a98559af2e
             unsafe-0.0-BIrI9nXOqv1FDJhoFAi4jR=2899d30a7715767d870dca48281c339e
             QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9=8d659ba36825a86aa37a2316500bb35b
             base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             syb-0.7-3Lq8MQxmYP07qktjI1jxu0=06df45b1c27c5cef935930b2f87d2689
haddock-interfaces: /usr/share/doc/haskell-storablevector/html/storablevector.haddock
haddock-html: /usr/share/doc/haskell-storablevector/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

